Subject: Re: strlen on a NULL
From: [email-masked] (Mumit Khan)

12 May 1998 18:24:14 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: Ian Collins <[email-masked]>
Cc: gnuwin32 <[email-masked]>

Ian Collins <[email-masked]> writes:
> If I do a strlen on a NULL pointer I get a coredump.
> I have the same code running on a few *other* Unix machines with
> exhibiting this behaviour.
> OK, so I could tidy it up, but I wondered is this an oversight or the
> correct behaviour?

This is correct behaviour. Passing NULL as an arg to str* functions that
expect a string, with the exception of those that are documented to accept
NULL explicitly such a strtrok, is incorrect.

Fix your code.

Mumit
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".